DOMDocument::loadHTML
DOMDocument::loadXML
DOMDocument
PHP Manual

# DOMDocument::loadHTMLFile

Load HTML from a file

### Description

public bool DOMDocument::loadHTMLFile ( string `$filename` [, int `$options` = 0 ] )

The function parses the HTML document in the file named `filename`. Unlike loading XML, HTML does not have to be well-formed to load.

### Parameters

`filename`

  The path to the HTML file.

`options`

  Since PHP 5.4.0 and Libxml 2.6.0, you may also use the `options` parameter to specify additional Libxml parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. If called statically, returns a DOMDocument or `FALSE` on failure.

### Errors/Exceptions

If an empty string is passed as the `filename` or an empty file is named, a warning will be generated. This warning is not generated by libxml and cannot be handled using libxml's error handling functions.

This method may be called statically, but will issue an `E_STRICT` error.

While malformed HTML should load successfully, this function may generate `E_WARNING` errors when it encounters bad markup. libxml's error handling functions may be used to handle these errors.

### Examples

Example #1 Creating a Document

`<?php
$doc = new DOMDocument();
$doc->loadHTMLFile("filename.html");
echo $doc->saveHTML();
?>`

### Changelog

Version | Description
--- | ---
5.4.0 | Added `options` parameter.

### See Also

- DOMDocument::loadHTML
- DOMDocument::saveHTML
- DOMDocument::saveHTMLFile